     d = open("nomer")
     getfirst(d)
     nom = 'Номер_док.'.d
     close(d)
     d = open("pko")
     getfirst(d)
     if Find(d,1,1,nom) != 0 then goto 900
     d1 = open("spoop")
     rem ---------------- УДАЛИТЬ ПРЕДЫДУЩИЕ ПРОВОДКИ ПО ДОКУМЕНТУ
     putkey(d1,2)
     if FindGe(d1,1,3,"ПКО "+nom) != 0 then goto 200
210  if "ПКО " + trim(nom) != trim('Документ'.d1) then goto 200
     if size(d1)=0 then goto 200
     delete(d1)
     goto 210
200
     num_last = 1
     putkey(d1,0)
     if size(d1) > 0
     {  getlast(d1)
        num_last = 'N_проводки'.d1 + 1
     }
     clearbuf(d1)
     'N_проводки'.d1 = num_last
     'Дата'.d1 = 'Дата'.d
     'Документ'.d1 = "ПКО " + nom
     'Db_счета'.d1 = "50"
     'Db_расчеты'.d1 = "          "
     'Kr_счета'.d1 = 'Номер'.d
     'Kr_расчеты'.d1 = 'Субсчет'.d
     'Сумма'.d1 = 'Сумма'.d
     'Примечание'.d1 = trim('Название'.d) + " " + trim('Основание'.d)
     insert(d1)
     close(d1)
900  close(d)
     end
